## GimpPaletteSelectButton

GimpPaletteSelectButton

## Functions

GtkWidget * | gimp_palette_select_button_new ()
const gchar * | gimp_palette_select_button_get_palette ()
void | gimp_palette_select_button_set_palette ()

## Properties

gchar * | palette-name | Read / Write
gchar * | title | Read / Write / Construct Only

## Signals

void | palette-set | Run First

## Types and Values

| GimpPaletteSelectButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpSelectButton
                                ╰── GimpPaletteSelectButton

## Implemented Interfaces

GimpPaletteSelectButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gimp_palette_select_button_new ()

    GtkWidget *
    gimp_palette_select_button_new (const gchar *title,
                                    const gchar *palette_name);

Since: GIMP 2.4

### gimp_palette_select_button_get_palette ()

    const gchar *
    gimp_palette_select_button_get_palette
                                   (GimpPaletteSelectButton *button);

Since: GIMP 2.4

### gimp_palette_select_button_set_palette ()

    void
    gimp_palette_select_button_set_palette
                                   (GimpPaletteSelectButton *button,
                                    const gchar *palette_name);

Since: GIMP 2.4

## Types and Values

### GimpPaletteSelectButton

    typedef struct _GimpPaletteSelectButton GimpPaletteSelectButton;

## Property Details

### The `“palette-name”` property

      “palette-name”             gchar *

The name of the currently selected palette.

Flags: Read / Write

Default value: NULL

Since: GIMP 2.4

### The `“title”` property

      “title”                    gchar *

The title to be used for the palette selection popup dialog.

Flags: Read / Write / Construct Only

Default value: "Palette Selection"

Since: GIMP 2.4

## Signal Details

### The `“palette-set”` signal

    void
    user_function (GimpPaletteSelectButton *widget,
                   gchar                   *palette_name,
                   gboolean                 dialog_closing,
                   gpointer                 user_data)

Flags: Run First

Since: GIMP 2.4